Subject: Re: Again ISA DMA question

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 28 Mar 2005 21:07:49 +1000

On Mon, 2005-03-28 at 14:08 -0500, Pavel Fedin wrote:
>   Hello, all!
> 
>   In a source code or AROS operating system (http://www.aros.org) i 
> found this comment:
> 
>   --- cut ---
>      The older PReP machines have the DMA area limited to first 16MB of 
> system
>      memory. Therefore it is reasonable, to place the kernel at the end 
> of DMA
>      RAM. Both areas may be then easily separated.
>   --- cut ---
> 
>   Does this mean that Linux has an option to limit DMA memory space to 
> first 16 MB? PReP machines are fully supported i guess. Or not fully?

Linux can do it, but we choose no to implement this on ppc, as slicing
the memory into zones has disadvantages. Only legacy ISA DMA is
concerned, which is mostly not a problem. PCI DMA shouldn't be limited.

Ben.